cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
2184
Views
0
Helpful
12
Replies
tsgruu2000
Beginner

WLC 9800 Prime Infrastructure Partial Collection Failure

Hi all

Prime 3.5 does not show APs and Clients of WLC9800. Inventory Status shows "Partial Collection Failure".

collection failure.PNG

On the WLC I noticed that Telemetry connection is stuck in "Connecting".

telemetry.PNG

Does someone know how to fix this?

Regards,
Urs

12 REPLIES 12
patoberli
VIP Advisor

Do you have all updates, most importantly Device Packs, installed?
It should be supported in 3.5, but might require a patch.

As far as I know there is an additional update available.
The following versions are installed:

PI 3.5 Update 02

Prime Infrastructure 3.5 Device Pack 3

Cisco IOS XE Software, Version 16.11.01b

I suggest you upgrade to Update 03, because it fixes a lot of critical security issues:
https://www.cisco.com/web/software/284272933/145488/PI_3_5_Update_03_Release_Note.pdf
But otherwise the version looks fine and I think the 9800 should be supported by DP3. I suggest you open a TAC. On the other hand, the 9800 is probably newer than 3.5 and could not be fully implemented.


Based on, for example, this bug: https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvj68855 it should show the APs on a 9800 WLC in PI 3.5, although it is buggy.

I haven't checked all the known issues, you might find something here: https://bst.cloudapps.cisco.com/bugsearch/search?kw=infrastructure%209800&pf=prdNm&sb=anfr

 

[Edit]

It seems 3.6 is of no real help either: https://community.cisco.com/t5/wireless-security-and-network/no-aps-seen-in-cisco-prime-infrastructure-3-6-with-wlc-9800-cl/m-p/3874275

I've got the same issue with WLC 9800 version 16.11.1b and PI 3.5 with these updates:

 PI 3.5.1 Maintenance Release (PI_3_5_1-1.0.22.ubf)

 Device Pack 3 (Device-Pack-3-PI3.5-08.ubf)

 
Did Update 03 fix the issue?

If yes, how can I find this update? I don't see it published at the Cisco Software Dowload site.

If I'm not mistaken, DP 4 was released this weekend, try this.

Thanks for the quick response. We'll try with DP4 and post the result.

Same result with DP4. After a discovery, all AP's appear as "Unreachable" with this failure reason:

 

Device: <IP address> is ping reachable. Got snmp timeout when querying system table from the device.

 

 

PI-Discovery-Unreachable.JPG

 

Which exact model of WLC do you have?
I just discovered that 3.7 added the support for these two new models:
Catalyst 9800-L-C Wireless Controller
Catalyst 9800-L-F Wireless Controller

3.7 also added these features for the 9800:
Catalyst 9800 Series Wireless Enhancements
Coral Updates:
Prime Infrastructure now extends support for dual Coral functionality.
New coral directory:
<coraldirectory> -> /opt/CSCOlumos/coralinstances/
Default coral instances:
/opt/CSCOlumos/coralinstances/coral1/coral/bin (for 16.11x devices)
/opt/CSCOlumos/coralinstances/coral2/coral/bin (for 16.12x devices)
Port mapping for Coral:
TCP port 20828 – reserved for 16.11x controller
TCP port 20830 – reserved for 16.12x controller
Ensure that you have both the ports open in your system’s firewall (both IPv4 and IPv6).

So honestly, I would suggest upgrading to 3.7 for a test :(

Thanks patoberli for your response.

The WLC model is a virtual C9800-CL, that is supposed to be supported by PI 3.5. Anyway, I was planning the upgrade to PI 3.7 when I found this document:

 

https://www.cisco.com/c/en/us/td/docs/wireless/compatibility/matrix/compatibility-matrix.html#pgfId-550562

 

It says that for IOS-XE 16.11.1b only PI 3.6 is compatible, and if we upgrade to PI 3.7 then we have to go to IOS-XE 16.12.1 on the WLC. I'll schedule the upgrade with the customer, and update when done.

 

 

9800 WLC Release Compatibility Matrix.JPG

 

Hi,
The upgrade of both (PI and WLC) solved the issue:

PI --> 3.7
C9800-CL --> IOS-XE 16.12.1

Regards

Thank you for the resolution feedback!

 

I too am facing a similar issue, with a lab 9800-L, running 16.12.2s code, that cannot be fully-discovered and managed by Prime running 3.7.   The 9800 keeps coming up in Prime 3.7  as "Un-Managed"  (although Reachable). I don't want to downgrade the 9800-L to 16.12.1, as that might lose it's ability to recognize the new Catalyst 9130ax AP's.  Any ideas?  I'm considering some kind of debugs that might reveal if Prime is having difficulty with SSH, or with SNMP when it logs into the 9800-L.  Hoping for resolution, always considering misconfig on the 9800-L  (brand new for us) as a possibility.  Thanks.

alberto.tanaka
Beginner

9800-CL works via netconf-yang, I applied it as an explanation of the link and it worked:

https://www.cisco.com/c/pt_br/support/docs/storage-networking/management/200933-YANG-NETCONF-Configuration-Validation.html

validation:

Prime_Infrastructure# ssh <9800_ip_address> <priv15_username> port 830

Content for Community-Ad